mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("CCBD682C-73A5-4568-B8B0-C7007E11ABA2")

Registration is needed when the objects within an assembly are being used by COM clients.

Provides a set of services for registering and unregistering managed assemblies for use from COM.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added

  Returns the GUID of the COM category that contains the managed classes.

  The GUID of the COM category that contains the managed classes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Retrieves the COM ProgID for a specified type.

  The ProgID for the specified type.

  The type whose ProgID is being requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] `` To be added

  Retrieves a list of classes in an assembly that would be registered by a call to .

  A array containing a list of classes in .

  The assembly to search for classes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  RegisterAssembly adds the appropriate registry entries for the types in the specified assembly. This method also calls any registration functions found in the assembly.

  Use to get an assembly.

  Registers the classes in a managed assembly to enable creation from COM.

  true if contains types that were successfully registered; otherwise false if the assembly contains no eligible types.

  The assembly to be registered. An value indicating any special settings needed when registering .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added: an object of type 'Type' To be added: an object of type 'Guid&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the specified type is a COM type.

  true if the specified type is a COM type; otherwise false.

  The type to determine if it is a COM type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the specified type requires registration.

  true if the type must be registered for use from COM; otherwise false.

  The type to check for COM registration requirements.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  UnregisterAssembly removes the registry entries for the types in the specified assembly previously added by . This method also calls any unregistration functions found in the assembly.

  Unregisters the classes in a managed assembly.

  true if contains types that were successfully unregistered; otherwise false if the assembly contains no eligible types.

  The assembly to be unregistered.